----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    18:16:45 05/11/2015 
-- Design Name: 
-- Module Name:    top_level_counter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
-- use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity FSM_LAB_top is
port (
	clk, reset 	: in STD_LOGIC;
	start, sel	: in STD_LOGIC;
	led			: out STD_LOGIC
);
end FSM_LAB_top;

architecture Behavioral of FSM_LAB_top is

signal clk_div : STD_LOGIC;

begin

	-- Instantiate the frequency divider
	freq_div_unit: 
	entity work.freq_div(Behavioral) 
	generic map(CLK_INPUT  => 125000000,		--Clock input frequency:  150MHz
					CLK_OUTPUT => 8)				--Clock output frequency: 4Hz
	port map(clk_in  => clk,
			 clk_out => clk_div);
	

	-- Instantiate the 4-bit binary counter
	FSM_LAB_unit: 
	entity work.FSM_LAB(Behavioral) 
	port map(clk     => clk_div,
			 reset   => reset,
			 start   => start,
			 sel 	 => sel,
			 led     => led);

end Behavioral;

